> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Force delete the specific template using templateId

> Deletes the specified template (using `templateId`) immediately, without marking it for deletion, and without any other side effects. This operation does not perform any additional logic such as removing a deleted zone from templates that contained it, or deleting orphaned zones. 

CAUTION: Use this only for template deletion. Unexpected errors and behaviors may occur if used in other situations.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-templating.json delete /templates/{id}/_force
openapi: 3.0.1
info:
  title: Fusion Templating API
  description: >-
    This API lets you perform create, read, update, and delete (CRUD) operations
    on templates and zones, and retrieve and render templates for particular
    navigation states.
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  contact:
    name: Lucidworks
    url: https://lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST.com}/api/templating
    description: Fusion
    variables:
      FUSION_HOST.com:
        default: ''
security: []
tags:
  - name: page-metadata-controller
    description: Endpoints with this tag modify page metadata.
  - name: render-controller
    description: >-
      Endpoints with this tag use the GET and POST operations to retrieve,
      render, create, read, update, and delete Fusion application templates that
      are published or in staging (unpublished).
  - name: template-settings-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      create, read, update, and delete configuration information for the Fusion
      Templating service.
  - name: templates-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      create, read, update, and delete Fusion application template information.
  - name: trigger-controller
    description: >-
      Endpoints with this tag use the GET and POST operations to retrieve,
      create, read, and update the Fusion application templates that are
      published or in staging (unpublished) without rendering.
  - name: zones-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      retrieve, create, read, update, and delete zone information (Fusion query
      profiles).
paths:
  /templates/{id}/_force:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: The universal unique identifier (UUID) of the template.
      - name: context
        in: query
        description: >-
          The context parameter retrieves templates for the specified
          application. The parameter format is `app:your-app-name`. Only the
          first application listed in the context is displayed even if a
          comma-delimited list is entered in the parameter. 
        schema:
          type: string
          example: app:your-app-name
    delete:
      tags:
        - templates-controller
      summary: Force delete the specific template using templateId
      description: >-
        Deletes the specified template (using `templateId`) immediately, without
        marking it for deletion, and without any other side effects. This
        operation does not perform any additional logic such as removing a
        deleted zone from templates that contained it, or deleting orphaned
        zones. 


        CAUTION: Use this only for template deletion. Unexpected errors and
        behaviors may occur if used in other situations.
      operationId: force-delete-template-by-templateId
      parameters: []
      responses:
        '204':
          description: >-
            No Content - This message is returned when the operation is
            successful, but there is no content to return.
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '403':
          description: Forbidden
          content: {}

````